Skip to content
Back to top

# bson_vector_int8_const_view_from_iter()

Initialize a bson_vector_int8_const_view_t from a bson_iter_t pointing to a valid Vector of `int8` element type.

## Synopsis

    bool
    bson_vector_int8_const_view_from_iter (bson_vector_int8_const_view_t *view_out,
                                           const bson_iter_t *iter);

## Parameters

- `view_out`: A bson_vector_int8_const_view_t is written here on success.

- `iter`: A valid bson_iter_t.

## Description

The provided iterator, which must point to some kind of BSON item, will be checked for a valid Vector of `int8` element type. On success, a bson_vector_int8_const_view_t is set to point to the same underlying bson_t buffer as the provided bson_iter_t. The view will only be valid until the containing document is destroyed or modified.

## Returns

Returns true if the view was successfully initialized.

See also

bson_vector_int8_view_from_iter()